#! /bin/sh

thisdir=`dirname $0`
basedir=`cd $thisdir/..; pwd`

# ulimit -n `ulimit -H -n`

if [ x$JAVA_HOME = x ]; then
    if [ -e /usr/local/jdk1.4.2 ]; then
	JAVA_HOME=/usr/local/jdk1.4.2
	export JAVA_HOME
    fi
fi

LD_LIBRARY_PATH=${basedir}/build:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

# set the classpath
CLASSPATH=\
$JAVA_HOME/jre/lib/rt.jar:\
$basedir/build/classes

for i in $basedir/lib/*.jar $basedir/lib/*.zip; do
  CLASSPATH="$CLASSPATH":"$i"
done

export CLASSPATH

# set the path
if [ x$JAVA_HOME != x ]; then
    PATH=$JAVA_HOME/bin:$PATH
    export PATH
fi

exec java \
   se.rfc.unbound.cl.UDig "$@"
